#!/usr/bin/env python

import sys, string, os, math, commands, random

print "Calculating the different depths"

file=open('Input.txt','r')
print "input file = ", file

c1=file.readlines()
z_vals = []
OldDepth = 0

for i in range(len(c1)):
	lines = c1[i]
        Depth = lines[14:20]
	#print "Depth = ", Depth	
	if Depth != OldDepth:
		if i > 0:
			OldDepth = Depth
        		z_vals.append(Depth)
			print "Depth = ", Depth
print "Number of depth layers =", len(z_vals)

for z in range(len(z_vals)):
        #slice=open('slice.xyz','w')        
	dz=float(z_vals[z])
        print "Calculating grid for depth ", dz, "km"
	
	#for i in range(len(c1)):
        	#lines = c1[i]
		#Lat = lines[0:6]
		#Long = lines[7:13]
        	#Depth = lines[14:20]
		#Val = lines[21:]
		#if i > 0:
			#if dz == float(Depth):
				#slice.write("%e %e %e \n" % (float(Long), float(Lat), float(Val)))
				#print "hello"
	#slice.close()				
	#os.system("mv slice.xyz  slice."+str(dz)+".xyz")
	#os.system("surface -V -R0/360/-90/90 -I0.2/0.2 slice."+str(dz)+".xyz -Gout."+str(dz)+".grd -T0.1")

	#os.system("cp TOMO_half.cpt dpv.cpt")

	os.system("grdimage GRIDS/out."+str(dz)+".grd -Cdpv.cpt -Ba20f10WNse -JM12 -R90/180/-60/0 -K -P > out."+str(dz)+".ps")
	os.system("psscale -Cdpv.cpt -D13/5.0/10/0.8 -Ba0.25g0.25:dvp: -O -P -K >> out."+str(dz)+".ps")
	os.system("pscoast -J -R -W -Df -A10000 -Ba20f10WNes -O -P -K >> out."+str(dz)+".ps")
	os.system("psxy ../../USEFUL_MAP_DATA/bird_boundaries -V -O -K -M -R -J -W -Ba20f10WNes >> out."+str(dz)+".ps")
	os.system("psxy ../../USEFUL_MAP_DATA/bird_trench_LUR_all -W3 -Sf0.2/0.07rt -G0/0/0 -V -O -K -M -R -J -W -Ba20f10WNes >> out."+str(dz)+".ps")
	
	# Plot the tomography model name
	# In LT --> long, lat, size, angle, fontno, justify, text
	LT=open("label.txt","w")
	txt1='MITP08'
	print >> LT, '91 -56 16 0 31 1 '+txt1
	LT.close()
	os.system("pstext label.txt -J -R -O -P -K >>  out."+str(dz)+".ps")

        # Plot the depth
        LT=open("label.txt","w")
	txt1=str(dz)
        print >> LT, '94 -59 16 0 31 BL '+txt1
        LT.close()
        os.system("pstext label.txt -J -R -O -P >>  out."+str(dz)+".ps")

	os.system("rm *.xyz label.txt")
	os.system("mv *.grd GRIDS")
