#!/bin/ksh

gmtset DEGREE_FORMAT 3 DOTS_PR_INCH 360 ANOT_FONT_SIZE 10p ANOT_FONT Times-Roman LABEL_FONT_SIZE 11p
#-------------------------------------

age=82
  while (( $age <= 82 ))
      do

# --------------- Loop through ages and set up directory structure ----------

        echo "\n\t Reconstructing data for $age"

ifix=001
dir=$age.0

rotfile=/Users/kara/Model_Subsidence/Global_Earthbyte_20070427.rot
#rotfile=/Users/marias/Research/PlateModel/may06/EarthByte_Global_20070920.rot
boreholefile=/Users/kara/Model_Subsidence/BHs_Gallagher.dat
#lipsfile=nam-lips.dat

boreholefilexy=BHs_Gallagher_${age}.xy
#lipsfilexy=nam_20090520_${age}.xy

# ------ Rotate LIPs ----------------------

megapoly<<end
1
$boreholefile
tmpbh.dat
7
10
$age
-999.0
1
2
end

datarecon <<end
1
$age
2
$rotfile
2
$ifix
tmp2bh.dat
tmpbh.dat
1
quit
end

# ------ Convert from plates format to xy format ---------

plates2gmt <<end
tmp2bh.dat
$boreholefilexy
end

#./plates2gmt.mk < tmp2lips.dat > $lipsfilexy
#./recon2gmt.mk tmp2lips.dat $lipsfilexy
#./recon2gmt.mk tmplips.dat $lipsfilexy

rm tmpbh.dat tmp2bh.dat

# ---- End file and clean-up --------

age=$(($age + 4))
 done

